Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.0 MBeans (Deprecated)

## weblogic.management.runtime
Interface MANReplicationRuntimeMBean

All Superinterfaces:
  DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.management.runtime.RuntimeMBean, WebLogicMBean

public interface MANReplicationRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

### Deprecation of MBeanHome and Type-Safe Interfaces

This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

Since:
  9.0.0.0

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`String[]` | `getActiveServersInRemoteCluster()`
`String[]` | `getDetailedSecondariesDistribution()`
`long` | `getPrimaryCount()` Answer the number of object that the local server hosts as primaries.
`boolean` | `getRemoteClusterReachable()` Answer if the remote cluster is reachable or not.
`long` | `getSecondaryCount()` Answer the number of object that the local server hosts as secondaries.
`String` | `getSecondaryServerDetails()` Answer detailed information about the secondary server
`String` | `getSecondaryServerName()` Answer the name of the secondary server
`void` | `setRemoteClusterReachable(boolean value)`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getActiveServersInRemoteCluster

    public String[] getActiveServersInRemoteCluster()

### getDetailedSecondariesDistribution

    public String[] getDetailedSecondariesDistribution()

### getPrimaryCount

    public long getPrimaryCount()

  Answer the number of object that the local server hosts as primaries.

  Answer the number of object that the local server hosts as primaries.

  Returns:
    The primaryCount value

### getRemoteClusterReachable

    public boolean getRemoteClusterReachable()

  Answer if the remote cluster is reachable or not.

  Returns:
    true if the remote cluster is reachable

### getSecondaryCount

    public long getSecondaryCount()

  Answer the number of object that the local server hosts as secondaries.

  Answer the number of object that the local server hosts as secondaries.

  Returns:
    The secondaryCount value

### getSecondaryServerDetails

    public String getSecondaryServerDetails()

  Answer detailed information about the secondary server

  Returns:
    Detailed information about the Secondary server

### getSecondaryServerName

    public String getSecondaryServerName()

  Answer the name of the secondary server

  Returns:
    The name of the secondary server

### setRemoteClusterReachable

    public void setRemoteClusterReachable(boolean value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD